# gdcm::File Class Reference

a DICOM File See PS 3.10 File: A File is an ordered string of zero or more bytes, where the first byte is at the beginning of the file and the last byte at the end of the File. Files are identified by a unique File ID and may by written, read and/or deleted. More...

`#include <gdcmFile.h>`

Inheritance diagram for gdcm::File:
[legend]
Collaboration diagram for gdcm::File:
[legend]

List of all members.

## Public Member Functions
| File ()
| ~File ()
DataSet & | GetDataSet ()
const DataSet & | GetDataSet () const
FileMetaInformation & | GetHeader ()
const FileMetaInformation & | GetHeader () const
std::istream & | Read (std::istream &is)
void | SetDataSet (const DataSet &ds)
void | SetHeader (const FileMetaInformation &fmi)
std::ostream const & | Write (std::ostream &os) const
## Friends
std::ostream & | operator<< (std::ostream &os, const File &val)

## Detailed Description

a DICOM File See PS 3.10 File: A File is an ordered string of zero or more bytes, where the first byte is at the beginning of the file and the last byte at the end of the File. Files are identified by a unique File ID and may by written, read and/or deleted.

Examples:

  AnonymizeAES.cxx, ClinicalTrialAnnotate.cxx, CompressImage.cxx, DuplicatePCDE.cxx, EncapsulateFileInRawData.cxx, FixBrokenJ2K.cxx, GenFakeImage.cxx, GenSeqs.cxx, GetJPEGSamplePrecision.cxx, HelloVizWorld.cxx, HelloWorld.cxx, LargeVRDSExplicit.cxx, and PatchFile.cxx.

## Constructor & Destructor Documentation

gdcm::File::File | ( |  | ) | `[inline]`

gdcm::File::~File | ( |  | ) | `[inline]`

## Member Function Documentation

DataSet& gdcm::File::GetDataSet | ( |  | ) | `[inline]`

const DataSet& gdcm::File::GetDataSet | ( |  | ) | const`[inline]`

Examples:
  AnonymizeAES.cxx, ClinicalTrialAnnotate.cxx, CompressImage.cxx, DuplicatePCDE.cxx, EncapsulateFileInRawData.cxx, FixBrokenJ2K.cxx, GenSeqs.cxx, GetJPEGSamplePrecision.cxx, HelloWorld.cxx, LargeVRDSExplicit.cxx, PatchFile.cxx, and ReadExplicitLengthSQIVR.cxx.

FileMetaInformation& gdcm::File::GetHeader | ( |  | ) | `[inline]`

const FileMetaInformation& gdcm::File::GetHeader | ( |  | ) | const`[inline]`

Examples:
  AnonymizeAES.cxx, EncapsulateFileInRawData.cxx, GetJPEGSamplePrecision.cxx, and LargeVRDSExplicit.cxx.

Referenced by gdcm::operator<<().

std::istream& gdcm::File::Read | ( | std::istream & | is | ) |

void gdcm::File::SetDataSet | ( | const DataSet & | ds | ) | `[inline]`

void gdcm::File::SetHeader | ( | const FileMetaInformation & | fmi | ) | `[inline]`

std::ostream const& gdcm::File::Write | ( | std::ostream & | os | ) | const

## Friends And Related Function Documentation

std::ostream& operator<< | ( | std::ostream & | os,
|  | const File & | val |
| ) |  |  | `[friend]`

The documentation for this class was generated from the following file:

- gdcmFile.h